// Estructura del PGC Nacional;

function PGC(){/*{{{*/
//Crea un Plan General Contable
  this.cuenta = new Array();
  this.nombre = "Plan General Contable";
  
  this.cargar = cargarPGC;
  this.nuevaCuenta = nuevaCuentaPGC;

  //Inicializamos el Plan Contable
  this.cargar();

  return this;
}/*}}}*/

function nuevaCuentaPGC(cuenta, nombre, tipo){/*{{{*/
//Aade una cuenta al PGC
  if (this.cuenta[cuenta]){
  alert("Hay un ERROR en el Plan General Contable.\nYa existe una cuenta en el PGC con el nmero " + cuenta);
  return false;
  }
  //Calculamos la cuenta Padre de la nueva Cuenta
  var cuentaPadre;
  var cadenaCuenta = "" + cuenta;
  if (cuenta.length == 1) cuentaPadre = null;
  else if (cuenta.length == 6) cuentaPadre = cadenaCuenta.substr(0,4);
  else cuentaPadre = cadenaCuenta.substr(0,cadenaCuenta.length -1);
  //Si no existe su cuenta Padre, le ponemos como padre una superior (esto es para cuando no existe cuenta de cuatro dgitos)
  if (!this.cuenta[cuentaPadre] && (cuentaPadre != null))
    cuentaPadre = cuentaPadre.substr(0,cuentaPadre.length -1);
  //Creamos la nueva cuenta
  this.cuenta[cuenta] = new CuentaPGC(cuenta, nombre, tipo, this.cuenta[cuentaPadre]);
  //Aadimos la nueva cuenta al array de cuentas de su padre
  if (cuentaPadre != null)
    this.cuenta[cuentaPadre].cuenta[this.cuenta[cuentaPadre].cuenta.length] = this.cuenta[cuenta];

  return this.cuenta[cuenta];
}/*}}}*/

function CuentaPGC(pgc, nombre, tipo, cuentaPadre){/*{{{*/
  this.pgc = pgc; //Nmero de cuenta en el PGC
  this.nombre = nombre;
  this.tipo = tipo;
  this.padre = cuentaPadre; //Puntero a su cuenta Padre
  //this.mes = new Array();
  this.cuenta = new Array();  //Array de subcuentas
  //this.saldo = 0;
  
  //this.saldar = saldarCuentaPGC;
  
  //Creamos los elementos del array de mes
  /*for (var i = 0; i<12; i++){
    this.mes[i] = new Object();
    this.mes[i].incremento = 0;
    this.mes[i].decremento = 0;
    this.mes[i].saldo = 0;
  }*/
  
  return this;
}/*}}}*/

/*
function saldarCuentaPGC(){
//Calcula el saldo de la cuenta (y de sus subcuentas)
  for (var i=0; i<this.cuenta.length; i++){
    this.cuenta[i].saldar();
    for (var j=0; j<12; j++){
      this.mes[j].incremento = eval(this.mes[j].incremento) + eval(this.cuenta[i].mes[j].incremento);
      this.mes[j].decremento = eval(this.mes[j].decremento) + eval(this.cuenta[i].mes[j].decremento);
    }
  }
  
  //Calculamos los saldos
  //VOY por AQUI. Esto no tiene que estar aqu, sino en balancePGC.js, porque es donde conocemos mesDesde y mesHasta
  for (var j=0; j<12; j++)
    if (j == 0)
      this.mes[j].saldo = eval(this.mes[j].incremento) - eval(this.mes[j].decremento);
    else
      this.mes[j].saldo = eval(this.mes[j-1].saldo) + eval(this.mes[j].incremento) - eval(this.mes[j].decremento);
}
*/
function cargarPGC(){
//Carga las cuentas del Plan General Contable Espaol
  
  this.nuevaCuenta("1", "Financiacin Bsica", "Pasivo");
  this.nuevaCuenta("10", "Capital","Pasivo");
  this.nuevaCuenta("100", "Capital Social", "Pasivo");
  this.nuevaCuenta("1000", "Capital Ordinario", "Pasivo");
  this.nuevaCuenta("1001", "Capital Privilegiado", "Pasivo");
  this.nuevaCuenta("1002", "Capital sin Derecho a Voto", "Pasivo");
  this.nuevaCuenta("1003", "Capital con Derechos Restringidos", "Pasivo");
  this.nuevaCuenta("101", "Fondo Social", "Pasivo");
  this.nuevaCuenta("102", "Capital", "Pasivo");
  this.nuevaCuenta("11", "Reservas","Pasivo");
  this.nuevaCuenta("110", "Prima de Emisin de Acciones", "Pasivo");
  this.nuevaCuenta("111", "Reservas de Revalorizacin", "Pasivo");
  this.nuevaCuenta("112", "Reserva Legal", "Pasivo");
  this.nuevaCuenta("113", "Reservas Especiales", "Pasivo");
  this.nuevaCuenta("114", "Reservas para Acciones de la Sociedad Dominante", "Pasivo");
  this.nuevaCuenta("115", "Reservas para Acciones Propias", "Pasivo");
  this.nuevaCuenta("116", "Reservas Estatutarias", "Pasivo");
  this.nuevaCuenta("117", "Reservas Voluntarias", "Pasivo");
  this.nuevaCuenta("118", "Reserva por Capital Amortizado", "Pasivo");
  this.nuevaCuenta("119", "Diferencias por Ajuste del Capital a Euros", "Pasivo");
  this.nuevaCuenta("12", "Resultados Pendientes de Aplicacin", "Pasivo");
  this.nuevaCuenta("120", "Remanente", "Pasivo");
  this.nuevaCuenta("121", "Resultados Negativos de Ejercicios Anteriores", "Activo");
  this.nuevaCuenta("122", "Aportaciones de Socios para Compensacin", "Pasivo");
  this.nuevaCuenta("129", "Prdidas y Ganancias", "Pasivo");
  this.nuevaCuenta("13", "Ingresos a Distribuir en Varios Ejercicios", "Pasivo");
  this.nuevaCuenta("130", "Subvenciones Oficiales de Capital", "Pasivo");
  this.nuevaCuenta("1300", "Subvenciones del Estado", "Pasivo");
  this.nuevaCuenta("1301", "Subvenciones de Otras Administraciones Pblicas", "Pasivo");
  this.nuevaCuenta("131", "Subvenciones de Capital", "Pasivo");
  this.nuevaCuenta("135", "Ingresos por Intereses Diferidos", "Pasivo");
  this.nuevaCuenta("136", "Diferencias Positivas en Moneda Extranjera", "Pasivo");
  this.nuevaCuenta("14", "Provisiones para Riesgos y Gastos", "Pasivo");
  this.nuevaCuenta("140", "Provisin para Pensiones y Obligaciones Similares", "Pasivo");
  this.nuevaCuenta("141", "Provisin para Impuestos", "Pasivo");
  this.nuevaCuenta("142", "Provisin para Responsabilidades", "Pasivo");
  this.nuevaCuenta("143", "Provisin para Grandes Reparaciones", "Pasivo");
  this.nuevaCuenta("144", "Fondo de Reinversin", "Pasivo");
  this.nuevaCuenta("15", "Emprsitos y Otras Emisiones Anlogas", "Pasivo");
  this.nuevaCuenta("150", "Obligaciones y Bonos", "Pasivo");
  this.nuevaCuenta("1500", "Obligaciones y Bonos Simples", "Pasivo");
  this.nuevaCuenta("1501", "Obligaciones y Bonos Garantizados", "Pasivo");
  this.nuevaCuenta("1502", "Obligaciones y Bonos Subordinados", "Pasivo");
  this.nuevaCuenta("1503", "Obligaciones y Bonos Cupn Cero", "Pasivo");
  this.nuevaCuenta("1504", "Obligaciones y Bonos con Opcin de Adquisicin de Acciones", "Pasivo");
  this.nuevaCuenta("1505", "Obligaciones y Bonos con Participacin de Beneficios", "Pasivo");
  this.nuevaCuenta("151", "Obligaciones y Bonos Convertibles", "Pasivo");
  this.nuevaCuenta("155", "Deudas Representadas en Otros Valores Negociables", "Pasivo");
  this.nuevaCuenta("16", "Deudas a Largo Plazo con Empresas del Grupo y Asociadas", "Pasivo");
  this.nuevaCuenta("160", "Deudas a Largo Plazo con Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("1600", "Prstamos a Largo Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("1609", "Otras Deudas a Largo Plazo con Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("161", "Deudas a Largo Plazo con Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("162", "Deudas a Largo Plazo con Entidades de Crdito del Grupo", "Pasivo");
  this.nuevaCuenta("163", "Deudas a Largo Plazo con Entidades de Crdito Asociadas", "Pasivo");
  this.nuevaCuenta("164", "Proveedores de Inmovilizado a Largo Plazo, Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("165", "Proveedores de Inmovilizado a Largo Plazo, Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("17", "Deudas a Largo Plazo por Prstamos Recibidos y Otros Conceptos", "Pasivo");
  this.nuevaCuenta("170", "Deudas a Largo Plazo con Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("1700", "Prstamos a Largo Plazo de Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("1709", "Otras Deudas a Largo Plazo con Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("171", "Deudas a Largo Plazo", "Pasivo");
  this.nuevaCuenta("172", "Deudas a Largo Plazo Transformables en Subvenciones", "Pasivo");
  this.nuevaCuenta("173", "Proveedores de Inmovilizado a Largo Plazo", "Pasivo");
  this.nuevaCuenta("174", "Efectos a Pagar a Largo Plazo", "Pasivo");
  this.nuevaCuenta("18", "Fianzas y Depsitos Recibidos a Largo Plazo", "Pasivo");
  this.nuevaCuenta("180", "Fianzas Recibidas a Largo Plazo", "Pasivo");
  this.nuevaCuenta("185", "Depsitos Recibidos a Largo Plazo", "Pasivo");
  this.nuevaCuenta("19", "Situaciones Transitorias de Financiacin", "Activo");
  this.nuevaCuenta("190", "Accionistas por Desembolsos No Exigidos", "Activo");
  this.nuevaCuenta("191", "Accionistas por Desembolsos No Exigidos, Empresas del Grupo", "Activo");
  this.nuevaCuenta("192", "Accionistas por Desembolsos No Exigidos, Empresas Asociadas", "Activo");
  this.nuevaCuenta("193", "Accionistas por Aportaciones Dinerarias Pendientes", "Activo");
  this.nuevaCuenta("194", "Accionistas por Aportaciones Dinerarias Pendientes, Empresas del Grupo", "Activo");
  this.nuevaCuenta("195", "Accionistas por Aportaciones Dinerarias Pendientes, Empresas Asociadas", "Activo");
  this.nuevaCuenta("196", "Socios, Parte No Desembolsada", "Activo");
  this.nuevaCuenta("198", "Acciones Propias en Situaciones Especiales", "Activo");
  this.nuevaCuenta("199", "Acciones Propias para Reduccin de Capital", "Activo");
  
  this.nuevaCuenta("2", "Inmovilizado", "Activo");
  this.nuevaCuenta("20", "Gastos de Establecimiento", "Activo");
  this.nuevaCuenta("200", "Gastos de Constitucin", "Activo");
  this.nuevaCuenta("201", "Gastos de Primer Establecimiento", "Activo");
  this.nuevaCuenta("202", "Gastos de Ampliacin de Capital", "Activo");
  this.nuevaCuenta("21", "Inmovilizaciones Inmateriales", "Activo");
  this.nuevaCuenta("210", "Gastos de Investigacin y Desarrollo", "Activo");
  this.nuevaCuenta("2100", "Gastos de Investigacin y Desarrollo en Proyectos No Terminados", "Activo");
  this.nuevaCuenta("2101", "Gastos de Investigacin y Desarrollo en Proyectos Terminados", "Activo");
  this.nuevaCuenta("211", "Concesiones Administrativas", "Activo");
  this.nuevaCuenta("212", "Propiedad Industrial", "Activo");
  this.nuevaCuenta("213", "Fondo de Comercio", "Activo");
  this.nuevaCuenta("214", "Derechos de Traspaso", "Activo");
  this.nuevaCuenta("215", "Aplicaciones Informticas", "Activo");
  this.nuevaCuenta("217", "Derechos sobre Bienes en Rgimen de Arrendamiento Financiero", "Activo");
  this.nuevaCuenta("219", "Anticipos para Inmovilizaciones Inmateriales", "Activo");
  this.nuevaCuenta("22", "Inmovilizaciones Materiales", "Activo");
  this.nuevaCuenta("220", "Terrenos y Bienes Naturales", "Activo");
  this.nuevaCuenta("221", "Construcciones", "Activo");
  this.nuevaCuenta("222", "Instalaciones Tcnicas", "Activo");
  this.nuevaCuenta("223", "Maquinaria", "Activo");
  this.nuevaCuenta("224", "Utillaje", "Activo");
  this.nuevaCuenta("225", "Otras Instalaciones", "Activo");
  this.nuevaCuenta("226", "Mobiliario", "Activo");
  this.nuevaCuenta("227", "Equipos para Procesos de Informacin", "Activo");
  this.nuevaCuenta("228", "Elementos de Transporte", "Activo");
  this.nuevaCuenta("229", "Otro Inmovilizado Material", "Activo");
  this.nuevaCuenta("23", "Inmovilizaciones Materiales en Curso", "Activo");
  this.nuevaCuenta("230", "Adaptacin de Terrenos y de Bienes Naturales", "Activo");
  this.nuevaCuenta("231", "Construcciones en Curso", "Activo");
  this.nuevaCuenta("232", "Instalaciones Tcnicas en Montaje", "Activo");
  this.nuevaCuenta("233", "Maquinaria en Montaje", "Activo");
  this.nuevaCuenta("237", "Equipos para Procesos de Informacin en Montaje", "Activo");
  this.nuevaCuenta("239", "Anticipos para Inmovilizaciones Materiales", "Activo");
  this.nuevaCuenta("24", "Inversiones Financieras en Empresas del Grupo y Asociadas", "Activo");
  this.nuevaCuenta("240", "Participaciones en Empresas del Grupo", "Activo");
  this.nuevaCuenta("241", "Participaciones en Empresas Asociadas", "Activo");
  this.nuevaCuenta("242", "Valores de Renta Fija de Empresas del Grupo", "Activo");
  this.nuevaCuenta("243", "Valores en Renta Fija de Empresas Asociadas", "Activo");
  this.nuevaCuenta("244", "Crditos a Largo Plazo a Emrpesas del Grupo", "Activo");
  this.nuevaCuenta("245", "Crditos a Largo Plazo de Inversiones Financieras en Empresas del Grupo", "Activo");
  this.nuevaCuenta("246", "Intereses a Largo Plazo de Inversiones Financieras en Empresas del Grupo", "Activo");
  this.nuevaCuenta("247", "Intereses a Largo Plazo de Inversiones Financieras en Empresas Asociadas", "Activo");
  this.nuevaCuenta("248", "Desembolsos Pendientes sobre Acciones de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("249", "Desembolsos Pendientes sobre Acciones de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("25", "Otras Inversiones Financieras Permanentes", "Activo");
  this.nuevaCuenta("250", "Inversiones Financieras Permanentes en Capital", "Activo");
  this.nuevaCuenta("2500", "Inversiones Financieras Permanentes en Acciones con Cotizacin Oficial", "Activo");
  this.nuevaCuenta("2501", "Inversiones Financieras Permanentes en Acciones sin Cotizacin Oficial", "Activo");
  this.nuevaCuenta("2502", "Otras Inversiones Financieras en Capital", "Activo");
  this.nuevaCuenta("251", "Valores de Renta Fija", "Activo");
  this.nuevaCuenta("252", "Crditos a Largo Plazo", "Activo");
  this.nuevaCuenta("253", "Crditos a Largo Plazo por Enajenacin de Inmovilizado", "Activo");
  this.nuevaCuenta("254", "Crditos a Largo Plazo al Personal", "Activo");
  this.nuevaCuenta("256", "Intereses a Largo Plazo de Valores de Renta Fija", "Activo");
  this.nuevaCuenta("257", "Intereses a Largo Plazo de Crditos", "Activo");
  this.nuevaCuenta("258", "Imposiciones a Largo Plazo", "Activo");
  this.nuevaCuenta("259", "Desembolsos Pendientes sobre Acciones", "Pasivo");
  this.nuevaCuenta("26", "Fianzas y Depsitos Constituidos a Largo Plazo", "Activo");
  this.nuevaCuenta("260", "Fianzas Constituidas a Largo Plazo", "Activo");
  this.nuevaCuenta("261", "Depsitos Constituidos a Largo Plazo", "Activo");
  this.nuevaCuenta("27", "Gastos a Distribuir en Varios Ejercicios", "Activo");
  this.nuevaCuenta("270", "Gastos de Formalizacin de Deudas", "Activo");
  this.nuevaCuenta("271", "Gastos por Intereses Diferidos de Valores Negociables", "Activo");
  this.nuevaCuenta("272", "Gastos por Intereses Diferidos", "Activo");
  this.nuevaCuenta("28", "Amortizacin Acumulada del Inmovilizado", "Pasivo");
  this.nuevaCuenta("281", "Amortizacin Acumulada del Inmovilizado Inmaterial", "Pasivo");
  this.nuevaCuenta("2810", "Amortizacin Acumulada de Gastos de Investigacin y Desarrollo", "Pasivo");
  this.nuevaCuenta("2811", "Amortizacin Acumulada de Concesiones Administrativas", "Pasivo");
  this.nuevaCuenta("2812", "Amortizacin Acumulada de Propiedad Industrial", "Pasivo");
  this.nuevaCuenta("2813", "Amortizacin Acumulada de Fondo de Comercio", "Pasivo");
  this.nuevaCuenta("2814", "Amortizacin Acumulada de Derechos de Traspaso", "Pasivo");
  this.nuevaCuenta("2815", "Amortizacin Acumulada de Aplicaciones Informticas", "Pasivo");
  this.nuevaCuenta("282", "Amortizacin Acumulada del Inmovilizado Material", "Pasivo");
  this.nuevaCuenta("2821", "Amortizacin Acumulada de Construcciones", "Pasivo");
  this.nuevaCuenta("2822", "Amortizacin Acumulada de Instalaciones Tcnicas", "Pasivo");
  this.nuevaCuenta("2823", "Amortizacin Acumulada de Maquinaria", "Pasivo");
  this.nuevaCuenta("2824", "Amortizacin Acumulada de Utillaje", "Pasivo");
  this.nuevaCuenta("2825", "Amortizacin Acumulada de Otras Instalaciones", "Pasivo");
  this.nuevaCuenta("2826", "Amortizacin Acumulada de Mobiliario", "Pasivo");
  this.nuevaCuenta("2827", "Amortizacin Acumulada de Equipos para Procesos de Informacin", "Pasivo");
  this.nuevaCuenta("2828", "Amortizacin Acumulada de Elementos de Transporte", "Pasivo");
  this.nuevaCuenta("2829", "Amortizacin Acumulada de Otro Inmovilizado Material", "Pasivo");
  this.nuevaCuenta("29", "Provisiones de Inmovilizado", "Pasivo");
  this.nuevaCuenta("291", "Provisin por Depreciacin de Inmovilizado Inmaterial", "Pasivo");
  this.nuevaCuenta("292", "Provisin por Depreciacin del Inmovilizado Material", "Pasivo");
  this.nuevaCuenta("293", "Provisin por Depreciacin de Valores Negociables a Largo Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("2930", "Provisin por Depreciacin de Participaciones en Capital a Largo Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("2935", "Provisin por Depreciacin de Valores Negociables a Largo Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("294", "Provisin por Depreciacin de Valores Negociables a Largo Plazo de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("2941", "Provisin por Depreciacin de Participaciones en Capital a Largo Plazo en Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("2946", "Provisin por Depreciacin de Valores Negociables a Largo Plazo de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("295", "Provisin para Insolvencias de Crditos a Largo Plazo en Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("296", "Provisin para Insolvencias de Crditos a Largo Plazo en Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("297", "Provisin por Depreciacin de Valores Negociables a Largo Plazo", "Pasivo");
  this.nuevaCuenta("298", "Provisin para Insolvencias de Crditos a Largo Plazo", "Pasivo");
  
  this.nuevaCuenta("3", "Existencias", "Activo");
  this.nuevaCuenta("30", "Comerciales", "Activo");
  this.nuevaCuenta("300", "Mercaderas A", "Activo");
  this.nuevaCuenta("301", "Mercaderas B", "Activo");
  this.nuevaCuenta("31", "Materias Primas", "Activo");
  this.nuevaCuenta("310", "Materias Primas A", "Activo");
  this.nuevaCuenta("311", "Materias Primas B", "Activo");
  this.nuevaCuenta("32", "Otros Aprovisionamientos", "Activo");
  this.nuevaCuenta("320", "Elementos y Conjuntos Incorporables", "Activo");
  this.nuevaCuenta("321", "Combustibles", "Activo");
  this.nuevaCuenta("322", "Repuestos", "Activo");
  this.nuevaCuenta("325", "Materiales Diversos", "Activo");
  this.nuevaCuenta("326", "Embalajes", "Activo");
  this.nuevaCuenta("327", "Envases", "Activo");
  this.nuevaCuenta("328", "Material de Oficina", "Activo");
  this.nuevaCuenta("33", "Productos en Curso", "Activo");
  this.nuevaCuenta("330", "Productos en Curso A", "Activo");
  this.nuevaCuenta("331", "Productos en Curso B", "Activo");
  this.nuevaCuenta("34", "Productos Semiacabados", "Activo");
  this.nuevaCuenta("340", "Productos Semiacabados A", "Activo");
  this.nuevaCuenta("341", "Productos Semiacabados B", "Activo");
  this.nuevaCuenta("35", "Productos Acabados", "Activo");
  this.nuevaCuenta("350", "Productos Acabados A", "Activo");
  this.nuevaCuenta("351", "Productos Acabados B", "Activo");
  this.nuevaCuenta("36", "Subproductos, Residuos y Materiales Recuperados", "Activo");
  this.nuevaCuenta("360", "Subproductos A", "Activo");
  this.nuevaCuenta("361", "Subproductos B", "Activo");
  this.nuevaCuenta("365", "Residuos A", "Activo");
  this.nuevaCuenta("366", "Residuos B", "Activo");
  this.nuevaCuenta("368", "Materiales Recuperados A", "Activo");
  this.nuevaCuenta("369", "Materiales Recuperados B", "Activo");
  this.nuevaCuenta("39", "Provisiones por Depreciacin de Existencias", "Pasivo");
  this.nuevaCuenta("390", "Provisin por Depreciacin de Mercaderas", "Pasivo");
  this.nuevaCuenta("391", "Provisin por Depreciacin de Materias Primas", "Pasivo");
  this.nuevaCuenta("392", "Provisin por Depreciacin de Otros Aprovisionamientos", "Pasivo");
  this.nuevaCuenta("393", "Provisin por Depreciacin de Productos en Curso", "Pasivo");
  this.nuevaCuenta("394", "Provisin por Depreciacin de Productos Semiacabados", "Pasivo");
  this.nuevaCuenta("395", "Provisin por Depreciacin de Productos Terminados", "Pasivo");
  this.nuevaCuenta("396", "Provisin por Depreciacin de Subproductos, Residuos y Materiales Recuperados", "Pasivo");
  
  this.nuevaCuenta("4", "Acreedores y Deudores por Operaciones de Trfico", "??");
  this.nuevaCuenta("40", "Proveedores", "Pasivo");
  this.nuevaCuenta("400", "Proveedores", "Pasivo");
  this.nuevaCuenta("4000", "Proveedores (euros)", "Pasivo");
  this.nuevaCuenta("4004", "Proveedores (moneda extranjera)", "Pasivo");
  this.nuevaCuenta("4009", "Proveedores, Facturas Pendientes de Recibir o de Formalizar", "Pasivo");
  this.nuevaCuenta("401", "Proveedores, Efectos Comerciales a Pagar", "Pasivo");
  this.nuevaCuenta("402", "Proveedores, Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("4020", "Proveedores, Empresas del Grupo (euros)", "Pasivo");
  this.nuevaCuenta("4021", "Efectos Comerciales a Pagar, Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("4024", "Proveedores, Empresas del Grupo (moneda extranjera)", "Pasivo");
  this.nuevaCuenta("4026", "Envases y Embalajes a Devolver a Proveedores, Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("4029", "Proveedores, Empresas del Grupo, Facturas Pendientes de Recibir o de Formalizar", "Pasivo");
  this.nuevaCuenta("403", "Proveedores, Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("406", "Envases y Embalajes a Devolver a Proveedores", "Activo");
  this.nuevaCuenta("407", "Anticipos a Proveedores", "Activo");
  this.nuevaCuenta("41", "Acreedores Varios", "Pasivo");
  this.nuevaCuenta("410", "Acreedores por Prestaciones de Servicios", "Pasivo");
  this.nuevaCuenta("4100", "Acreedores por Prestaciones de Servicios (euros)", "Pasivo");
  this.nuevaCuenta("4104", "Acreedores por Prestaciones de Servicios (moneda extranjera)", "Pasivo");
  this.nuevaCuenta("4109", "Acreedores por Prestaciones de Servicios, Facturas Pendientes de Recibir o de Formalizar", "Pasivo");
  this.nuevaCuenta("411", "Acreedores, Efectos Comerciales a Pagar", "Pasivo");
  this.nuevaCuenta("419", "Acreedores por Operaciones en Comn", "Pasivo");
  this.nuevaCuenta("43", "Clientes", "Activo");
  this.nuevaCuenta("430", "Clientes", "Activo");
  this.nuevaCuenta("4300", "Clientes (euros)", "Activo");
  this.nuevaCuenta("4301", "Clientes (moneda extranjera)", "Activo");
  this.nuevaCuenta("4309", "Clientes, Facturas Pendientes de Formalizar", "Activo");
  this.nuevaCuenta("431", "Clientes, Efectos Comerciales a Cobrar", "Activo");
  this.nuevaCuenta("4310", "Efectos Comerciales en Cartera", "Activo");
  this.nuevaCuenta("4311", "Efectos Comerciales Descontados", "Activo");
  this.nuevaCuenta("4312", "Efectos Comerciales en Gestin de Cobro", "Activo");
  this.nuevaCuenta("4315", "Efectos Comerciales Impagados", "Activo");
  this.nuevaCuenta("432", "Clientes, Empresas del Grupo", "Activo");
  this.nuevaCuenta("4320", "Clientes, Empresas del Grupo (euros)", "Activo");
  this.nuevaCuenta("4321", "Efectos Comerciales a Cobrar, Empresas del Grupo", "Activo");
  this.nuevaCuenta("4324", "Clientes, Empresas del Grupo (moneda extranjera)", "Activo");
  this.nuevaCuenta("4326", "Envases y Embalajes a Devolver a Clientes, Empresas del Grupo", "Activo");
  this.nuevaCuenta("4329", "Clientes, Empresas del Grupo, Facturas Pendientes de Formalizar", "Activo");
  this.nuevaCuenta("433", "Clientes, Empresas Asociadas", "Activo");
  this.nuevaCuenta("435", "Clientes de Dudoso Cobro", "Activo");
  this.nuevaCuenta("436", "Envases y Embalajes a Devolver por Cliente", "Pasivo");
  this.nuevaCuenta("437", "Anticipos de Clientes", "Pasivo");
  this.nuevaCuenta("44", "Deudores Varios", "Activo");
  this.nuevaCuenta("440", "Deudores", "Activo");
  this.nuevaCuenta("4400", "Deudores (euros)", "Activo");
  this.nuevaCuenta("4404", "Deudores (moneda extranjera)", "Activo");
  this.nuevaCuenta("4409", "Deudores, Facturas Pendientes de Formalizar", "Activo");
  this.nuevaCuenta("441", "Deudores, Efectos Comerciales a Cobrar", "Activo");
  this.nuevaCuenta("4410", "Deudores, Efectos Comerciales en Cartera", "Activo");
  this.nuevaCuenta("4411", "Deudores, Efectos Comerciales Descontados", "Activo");
  this.nuevaCuenta("4412", "Deudores, Efectos Comerciales en Gestin de Cobro", "Activo");
  this.nuevaCuenta("4415", "Deudores, Efectos Comerciales Impagados", "Activo");
  this.nuevaCuenta("445", "Deudores de Dudoso Cobro", "Activo");
  this.nuevaCuenta("449", "Deudores por Operaciones en Comn", "Activo");
  this.nuevaCuenta("46", "Personal", "Activo");
  this.nuevaCuenta("460", "Anticipos de Remuneraciones", "Activo");
  this.nuevaCuenta("465", "Remuneraciones Pendientes de Pago", "Pasivo");
  this.nuevaCuenta("47", "Administraciones Pblicas", "Activo");
  this.nuevaCuenta("470", "Hacienda Pblica, Deudor por Diversos Conceptos", "Activo");
  this.nuevaCuenta("4700", "Hacienda Pblica, Deudor por IVA", "Activo");
  this.nuevaCuenta("4708", "Hacienda Pblica, Deudor por Subvenciones Concedidas", "Activo");
  this.nuevaCuenta("4709", "Hacienda Pblica, Deudor por Devolucin de Impuestos", "Activo");
  this.nuevaCuenta("471", "Organismos de la Seguridad Social Deudores", "Activo");
  this.nuevaCuenta("472", "Hacienda Pblica, IVA Soportado", "Activo");
  this.nuevaCuenta("473", "Hacienda Pblica, Retenciones y Pagos a Cuenta", "Activo");
  this.nuevaCuenta("474", "Impuesto sobre Beneficios Anticipados y Compensacin de Prdidas", "Activo");
  this.nuevaCuenta("4740", "Impuesto sobre Beneficios Anticipado", "Activo");
  //this.nuevaCuenta("4741", "Mencionada en el Impuesto de Sociedades Simplificado (pero ni idea del nombre)", "");
  //this.nuevaCuenta("4744", "Mencionada en el Impuesto de Sociedades Simplificado (pero ni idea del nombre)", "");
  this.nuevaCuenta("4745", "Crdito por Prdidas a Compensar del Ejercicio", "Activo");
  //this.nuevaCuenta("4746", "Mencionada en el Impuesto de Sociedades Simplificado (pero ni idea del nombre)", "");
  this.nuevaCuenta("475", "Hacienda Pblica, Acreedor por Conceptos Fiscales", "Pasivo");
  this.nuevaCuenta("4750", "Hacienda Pblica, Acreedor por IVA", "Pasivo");
  this.nuevaCuenta("4751", "Hacienda Pblica, Acreedor por Retenciones Practicadas", "Pasivo");
  this.nuevaCuenta("4752", "Hacienda Pblica, Acreedor por Impuesto sobre Sociedades", "Pasivo");
  this.nuevaCuenta("4758", "Hacienda Pblica, Acreedor por Subvenciones a Reintegrar", "Pasivo");
  this.nuevaCuenta("476", "Organismos de la Seguridad Social Acreedores", "Pasivo");
  this.nuevaCuenta("477", "Hacienda Pblica, IVA Repercutido", "Pasivo");
  this.nuevaCuenta("479", "Impuestos sobre Beneficios Diferidos", "Pasivo");
  //this.nuevaCuenta("4791", "Mencionada en el Impuesto de Sociedades Simplificado (pero ni idea del nombre)", "");
  this.nuevaCuenta("48", "Ajustes por Periodificacin", "Activo");
  this.nuevaCuenta("480", "Gastos Anticipados", "Activo");
  this.nuevaCuenta("485", "Ingresos Anticipados", "Pasivo");
  this.nuevaCuenta("49", "Provisiones por Operaciones de Trfico", "Pasivo");
  this.nuevaCuenta("490", "Provisin para Insolvencias de Trfico", "Pasivo"); //Es de Activo??
  this.nuevaCuenta("493", "Provisin para Insolvencias de Trfico de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("494", "Provisin para Insolvencias de Trfico de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("499", "Provisin para Otras Operaciones de Trfico", "Pasivo");
  
  this.nuevaCuenta("5", "Cuentas Financieras", "??");
  this.nuevaCuenta("50", "Emprsitos y Otras Emisiones Anlogas a Corto Plazo", "Pasivo");
  this.nuevaCuenta("500", "Obligaciones y Bonos a Corto Plazo", "Pasivo");
  this.nuevaCuenta("501", "Obligaciones y Bonos Convertibles a Corto Plazo", "Pasivo");
  this.nuevaCuenta("505", "Deudas Representadas en Otros Valores Negociables a Corto Plazo", "Pasivo");
  this.nuevaCuenta("506", "Intereses de Emprsitos y Otras Emisiones Anlogas", "Pasivo");
  this.nuevaCuenta("509", "Valores Negociables Amortizados", "Pasivo");
  this.nuevaCuenta("5090", "Obligaciones y Bonos Amortizados", "Pasivo");
  this.nuevaCuenta("5091", "Obligaciones y Bonos Convertibles Amortizados", "Pasivo");
  this.nuevaCuenta("5095", "Otros Valores Negociables Amortizados", "Pasivo");
  this.nuevaCuenta("51", "Deudas a Corto Plazo con Empresas del Grupo y Asociadas", "Pasivo");
  this.nuevaCuenta("510", "Deudas a Corto Plazo con Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("5100", "Prstamos a Corto Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("5109", "Otras Deudas a Corto Plazo con Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("511", "Deudas a Corto Plazo con Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("512", "Deudas a Corto Plazo con Entidades de Crdito del Grupo", "Pasivo");
  this.nuevaCuenta("5120", "Prstamos a Corto Plazo de Entidades de Crdito del Grupo", "Pasivo");
  this.nuevaCuenta("5128", "Deudas por Efectos Descontados en Entidades de Crdito del Grupo", "Pasivo");
  this.nuevaCuenta("5129", "Otras Deudas a Corto Plazo con Entidades de Crdito del Grupo", "Pasivo");
  this.nuevaCuenta("513", "Deudas a Corto Plazo con Entidades de Crdito Asociadas", "Pasivo");
  this.nuevaCuenta("514", "Proveedores de Inmovilizado a Corto Plazo, Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("515", "Proveedores de Inmovilizado a Corto Plazo, Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("516", "Intereses a Corto Plazo de Deudas con Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("517", "Intereses a Corto Plazo de Deudas con Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("52", "Deudas a Corto Plazo por Prstamos Recibidos y Otros Conceptos", "Pasivo");
  this.nuevaCuenta("520", "Deudas a Corto Plazo con Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("5200", "Prstamos a Corto Plazo de Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("5201", "Deudas a Corto Plazo por Crdito Dispuesto", "Pasivo");
  this.nuevaCuenta("5208", "Deudas por Efectos Descontados", "Pasivo");
  this.nuevaCuenta("521", "Deudas a Corto Plazo", "Pasivo");
  this.nuevaCuenta("523", "Proveedores de Inmovilizado a Corto Plazo", "Pasivo");
  this.nuevaCuenta("524", "Efectos a Pagar a Corto Plazo", "Pasivo");
  this.nuevaCuenta("525", "Dividendo Activo a Pagar", "Pasivo");
  this.nuevaCuenta("526", "Intereses a Corto Plazo de Deudas con Entidades de Crdito", "Pasivo");
  this.nuevaCuenta("527", "Intereses a Corto Plazo de Deudas", "Pasivo");
  this.nuevaCuenta("53", "Inversiones Financieras a Corto Plazo en Empresas del Grupo y Asociadas", "Activo");
  this.nuevaCuenta("530", "Participaciones a Corto Plazo en Empresas del Grupo", "Activo");
  this.nuevaCuenta("531", "Participaciones a Corto Plazo en Empresas Asociadas", "Activo");
  this.nuevaCuenta("532", "Valores de Renta Fija a Corto Plazo en Empresas del Grupo", "Activo");
  this.nuevaCuenta("533", "Valores de Renta Fija a Corto Plazo en Empresas Asociadas", "Activo");
  this.nuevaCuenta("534", "Crditos a Corto Plazo a Empresas del Grupo", "Activo");
  this.nuevaCuenta("535", "Crditos a Corto Plazo a Empresas Asociadas", "Activo");
  this.nuevaCuenta("536", "Intereses a Corto Plazo de Inversiones Financieras en Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("5360", "Intereses a Corto Plazo de Valores de Renta Fija de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("5361", "Intereses a Corto Plazo de Crditos a Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("537", "Intereses a Corto Plazo de Inversiones Financieras en Empresas y Asociadas", "Pasivo");
  this.nuevaCuenta("538", "Desembolsos Pendientes sobre Acciones a Corto Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("539", "Desembolsos Pendientes sobre Acciones a Corto Plazo de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("54", "Otras Inversiones Financieras Temporales", "Activo");
  this.nuevaCuenta("540", "Inversiones Financieras Temporales en Capital", "Activo");
  this.nuevaCuenta("5400", "Inversiones Financieras Temporales en Acciones con Cotizacin Oficial", "Activo");
  this.nuevaCuenta("5401", "Inversiones Financieras Temporales en Acciones sin Cotizacin Oficial", "Activo");
  this.nuevaCuenta("541", "Otras Inversiones Financieras Temporales en Capital", "Activo");
  this.nuevaCuenta("542", "Crditos a Corto Plazo", "Activo");
  this.nuevaCuenta("543", "Crditos a Corto Plazo por Enajenacin de Inmovilizado", "Activo");
  this.nuevaCuenta("544", "Crditos a Corto Plazo al Personal", "Activo");
  this.nuevaCuenta("545", "Dividendos a Cobrar", "Activo");
  this.nuevaCuenta("546", "Intereses a Corto Plazo en Valores de Renta Fija", "Activo");
  this.nuevaCuenta("547", "Intereses a Corto Plazo de Crditos", "Activo");
  this.nuevaCuenta("548", "Imposiciones a Corto Plazo", "Activo");
  this.nuevaCuenta("549", "Desembolsos Pendientes sobre Acciones a Corto Plazo", "Pasivo");
  this.nuevaCuenta("55", "Otras Cuentas no Bancarias", "Activo");
  this.nuevaCuenta("550", "Titular de la Explotacin", "Activo");
  this.nuevaCuenta("551", "Cuenta Corriente con Empresas del Grupo", "Activo");
  this.nuevaCuenta("552", "Cuenta Corriente con Empresas Asociadas", "Activo");
  this.nuevaCuenta("553", "Cuenta Corriente con Socios y Administradores", "Activo");
  this.nuevaCuenta("555", "Prdidas Pendientes de Aplicacin", "Pasivo");
  this.nuevaCuenta("556", "Desembolsos Exigidos sobre Acciones", "Activo");
  this.nuevaCuenta("557", "Dividendo Activo a Cuenta", "Activo");
  this.nuevaCuenta("558", "Accionistas por Desembolsos Exigidos", "Activo");
  this.nuevaCuenta("56", "Fianzas y Depstitos Recibidos y Constituidos a Corto Plazo", "Activo");
  this.nuevaCuenta("560", "Fianzas Recibidas a Corto Plazo", "Pasivo");
  this.nuevaCuenta("561", "Depsitos Recibidos a Corto Plazo", "Pasivo");
  this.nuevaCuenta("565", "Fianzas Constituidas a Corto Plazo", "Activo");
  this.nuevaCuenta("566", "Depsitos Constituidos a Corto Plazo", "Activo");
  this.nuevaCuenta("57", "Tesorera", "Activo");
  this.nuevaCuenta("570", "Caja (euros)", "Activo");
  this.nuevaCuenta("571", "Caja (moneda extranjera)", "Activo");
  this.nuevaCuenta("572", "Bancos e Instituciones de Crdito c/c. vista (euros)", "Activo");
  this.nuevaCuenta("573", "Bancos e Instituciones de Crdito c/c. vista (moneda extranjera)", "Activo");
  this.nuevaCuenta("574", "Bancos e Instituciones de Crdito, Cuentas de Ahorro (euros)", "Activo");
  this.nuevaCuenta("575", "Bancos e Instituciones de Crdito, Cuentas de Ahorro (moneda extranjera)", "Activo");
  this.nuevaCuenta("58", "Ajustes por Periodificacin", "Activo");
  this.nuevaCuenta("580", "Intereses Pagados por Anticipado", "Activo");
  this.nuevaCuenta("585", "Intereses Cobrados por Anticipado", "Pasivo");
  this.nuevaCuenta("59", "Provisiones Financieras", "Pasivo");
  this.nuevaCuenta("593", "Provisin por Depreciacin de Valores Negociables a Corto Plazo de Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("594", "Provisin por Depreciacin de Valores Negociables a Corto Plazo de Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("595", "Provisin para Insolvencias de Crditos a Corto Plazo a Empresas del Grupo", "Pasivo");
  this.nuevaCuenta("596", "Provisin para Insolvencias de Crditos a Corto Plazo a Empresas Asociadas", "Pasivo");
  this.nuevaCuenta("597", "Provisin por Depreciacin de Valores Negociables a Corto Plazo", "Pasivo");
  this.nuevaCuenta("598", "Provisin para Insolvencias de Crditos a Corto Plazo", "Pasivo");
  
  this.nuevaCuenta("6", "Compras y Gastos", "Gastos");
  this.nuevaCuenta("60", "Compras", "Gastos");
  this.nuevaCuenta("600", "Compras de Mercaderas", "Gastos");
  this.nuevaCuenta("601", "Compras de Materias Primas", "Gastos");
  this.nuevaCuenta("602", "Compras de Otros Aprovisionamientos", "Gastos");
  this.nuevaCuenta("607", "Trabajos Realizados por Otras Empresas", "Gastos");
  this.nuevaCuenta("608", "Devoluciones de Compras y Operaciones Similares", "Gastos");
  this.nuevaCuenta("6080", "Devoluciones de Compras de Mercaderas", "Gastos");
  this.nuevaCuenta("6081", "Devoluciones de Compras de Materias Primas", "Gastos");
  this.nuevaCuenta("6082", "Devoluciones de Compras de Otros Aprovisionamientos", "Gastos");
  this.nuevaCuenta("609", "Rappels Compras", "Ingresos");
  this.nuevaCuenta("6090", "Rappels Compras de Mercaderas", "Ingresos");
  this.nuevaCuenta("6091", "Rappels Compras de Materias Primas", "Ingresos");
  this.nuevaCuenta("6092", "Rappels Compras de Otros Aprovisionamientos", "Ingresos");
  this.nuevaCuenta("61", "Variacin de Existencias", "Gastos");
  this.nuevaCuenta("610", "Variacin de Existencias de Mercaderas", "Gastos");
  this.nuevaCuenta("611", "Variacin de Existencias de Materias Primas", "Gastos");
  this.nuevaCuenta("612", "Variacin de Existencias de Otros Aprovisionamientos", "Gastos");
  this.nuevaCuenta("62", "Servicios Exteriores", "Gastos");
  this.nuevaCuenta("620", "Gastos en Investigacin y Desarrollo del Ejercicio", "Gastos");
  this.nuevaCuenta("621", "Arrendamientos y Cnones", "Gastos");
  this.nuevaCuenta("622", "Reparaciones y Conservacin", "Gastos");
  this.nuevaCuenta("623", "Servicios de Profesionales Independientes", "Gastos");
  this.nuevaCuenta("624", "Transportes", "Gastos");
  this.nuevaCuenta("625", "Primas de Seguros", "Gastos");
  this.nuevaCuenta("626", "Seguros Bancarios y Similares", "Gastos");
  this.nuevaCuenta("627", "Publicidad, Propaganda y Relaciones Pblicas", "Gastos");
  this.nuevaCuenta("628", "Suministros", "Gastos");
  this.nuevaCuenta("629", "Otros Servicios", "Gastos");
  this.nuevaCuenta("63", "Tributos", "Gastos");
  this.nuevaCuenta("630", "Impuesto sobre Beneficios", "Gastos");
  this.nuevaCuenta("631", "Otros Tributos", "Gastos");
  //this.nuevaCuenta("6320", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Gastos");
  //this.nuevaCuenta("6321", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Gastos");
  //this.nuevaCuenta("6323", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Gastos");
  //this.nuevaCuenta("6328", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Ingresos");
  this.nuevaCuenta("633", "Ajustes Negativos en la Imposicin sobre Beneficios", "Gastos");
  this.nuevaCuenta("634", "Ajustes Negativos en la Imposicin Indirecta", "Gastos");
  //this.nuevaCuenta("635", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Gastos");
  this.nuevaCuenta("6341", "Ajustes Negativos en IVA Circulante", "Gastos");
  this.nuevaCuenta("6342", "Ajustes Negativos en IVA de Inversiones", "Gastos");
  this.nuevaCuenta("636", "Devolucin de Impuestos", "Ingresos");
  //this.nuevaCuenta("637", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "");
  this.nuevaCuenta("638", "Ajustes Positivos en la Imposicin sobre Beneficios", "Ingresos");
  this.nuevaCuenta("639", "Ajustes Positivos en la Imposicin Indirecta", "Ingresos");
  this.nuevaCuenta("6391", "Ajustes Positivos en IVA Circulante", "Ingresos");
  this.nuevaCuenta("6392", "Ajustes Positivos en IVA de Inversiones", "Ingresos");
  this.nuevaCuenta("64", "Gastos de Personal", "Gastos");
  this.nuevaCuenta("640", "Sueldos y Salarios", "Gastos");
  this.nuevaCuenta("641", "Indemnizaciones", "Gastos");
  this.nuevaCuenta("642", "Seguridad Social a Cargo de la Empresa", "Gastos");
  this.nuevaCuenta("643", "Aportaciones a Sistemas Complementarios de Pensiones", "Gastos");
  this.nuevaCuenta("649", "Otros Gastos Sociales", "Gastos");
  this.nuevaCuenta("65", "Otros Gastos de Gestin", "Gastos");
  this.nuevaCuenta("650", "Prdidas de Crditos Comerciales Incobrables", "Gastos");
  this.nuevaCuenta("651", "Resultados de Operaciones en Comn", "Gastos");
  this.nuevaCuenta("6510", "Beneficio Transferido (gestor)", "Gastos");
  this.nuevaCuenta("6511", "Prdidas Soportadas (partcipe o asociado no gestor)", "Gastos");
  this.nuevaCuenta("659", "Otras Prdidas en Gestin Corriente", "Gastos");
  this.nuevaCuenta("66", "Gastos Financieros", "Gastos");
  this.nuevaCuenta("661", "Intereses de Obligaciones y Bonos", "Gastos");
  this.nuevaCuenta("6610", "Intereses de Obligaciones y Bonos a Largo Plazo en Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6611", "Intereses de Obligaciones y Bonos a Largo Plazo en Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6613", "Intereses de Obligaciones y Bonos a Largo Plazo en Otras Empresas", "Gastos");
  this.nuevaCuenta("6615", "Intereses de Obligaciones y Bonos a Corto Plazo en Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6616", "Intereses de Obligaciones y Bonos a Corto Plazo en Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6618", "Intereses de Obligaciones y Bonos a Corto Plazo en Otras Empresas", "Gastos");
  this.nuevaCuenta("662", "Intereses de Deudas a Largo Plazo", "Gastos");
  this.nuevaCuenta("6620", "Intereses de Deudas a Largo Plazo con Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6621", "Intereses de Deudas a Largo Plazo con Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6622", "Intereses de Deudas a Largo Plazo con Entidades de Crdito", "Gastos");
  this.nuevaCuenta("6623", "Intereses de Deudas a Largo Plazo con Otras Empresas", "Gastos");
  this.nuevaCuenta("663", "Intereses de Deudas a Corto Plazo", "Gastos");
  this.nuevaCuenta("6630", "Intereses de Deudas a Corto Plazo con Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6631", "Intereses de Deudas a Corto Plazo con Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6632", "Intereses de Deudas a Corto Plazo con Entidades de Crdito", "Gastos");
  this.nuevaCuenta("6633", "Intereses de Deudas a Corto Plazo con Otras Empresas", "Gastos");
  this.nuevaCuenta("664", "Intereses por Descuento de Efectos", "Gastos");
  this.nuevaCuenta("6640", "Intereses por Descuento de Efectos en Entidades de Crdito del Grupo", "Gastos");
  this.nuevaCuenta("6641", "Intereses por Descuento de Efectos en Entidades de Crdito Asociadas", "Gastos");
  this.nuevaCuenta("6643", "Intereses por Descuento de Efectos en Otras Entidades de Crdito", "Gastos");
  this.nuevaCuenta("665", "Descuentos sobre Ventas por Pronto Pago", "Gastos");
  this.nuevaCuenta("6650", "Descuentos sobre Ventas por Pronto Pago a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6651", "Descuentos sobre Ventas por Pronto Pago a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6653", "Descuentos sobre Ventas por Pronto Pago a Otras Empresas", "Gastos");
  this.nuevaCuenta("666", "Prdidas Procedentes de Valores Negociables", "Gastos");
  this.nuevaCuenta("6660", "Prdidas en Valores Negociables a Largo Plazo de Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6661", "Prdidas en Valores Negociables a Largo Plazo de Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6663", "Prdidas en Valores Negociables a Largo Plazo de Otras Empresas", "Gastos");
  this.nuevaCuenta("6665", "Prdidas en Valores Negociables a Corto Plazo de Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6666", "Prdidas en Valores Negociables a Corto Plazo de Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6668", "Prdidas en Valores Negociables a Corto Plazo de Otras Empresas", "Gastos");
  this.nuevaCuenta("667", "Prdidas de Crditos", "Gastos");
  this.nuevaCuenta("6670", "Prdidas de Crdito a Largo Plazo a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6671", "Prdidas de Crdito a Largo Plazo a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6673", "Prdidas de Crdito a Largo Plazo a Otras Empresas", "Gastos");
  this.nuevaCuenta("6675", "Prdidas de Crdito a Corto Plazo a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6676", "Prdidas de Crdito a Corto Plazo a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6678", "Prdidas de Crdito a Corto Plazo a Otras Empresas", "Gastos");
  this.nuevaCuenta("668", "Diferencias Negativas de Cambio", "Gastos");
  this.nuevaCuenta("669", "Otros Gastos Financieros", "Gastos");
  this.nuevaCuenta("67", "Prdidas Procedentes del Inmovilizado y Gastos Excepcionales", "Gastos");
  this.nuevaCuenta("670", "Prdidas Procedentes del Inmovilizado Inmaterial", "Gastos");
  this.nuevaCuenta("671", "Prdidas Procedentes del Inmovilizado Material", "Gastos");
  this.nuevaCuenta("672", "Prdidas Procedentes de Participaciones en Capital a Largo Plazo en Empresas del Grupo", "Gastos");
  this.nuevaCuenta("673", "Prdidas Procedentes de Participaciones en Capital a Largo Plazo en Empresas Asociadas", "Gastos");
  this.nuevaCuenta("674", "Prdidas por Operaciones con Acciones y Obligaciones Propias", "Gastos");
  //this.nuevaCuenta("676", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Gastos");
  this.nuevaCuenta("678", "Gastos Extraordinarios", "Gastos");
  this.nuevaCuenta("679", "Gastos y Prdidas de Ejercicios Anteriores", "Gastos");
  this.nuevaCuenta("68", "Dotaciones para Amortizaciones", "Gastos");
  this.nuevaCuenta("680", "Amortizacin de Gastos de Establecimiento", "Gastos");
  this.nuevaCuenta("681", "Amortizacin del Inmovilizado Inmaterial", "Gastos");
  this.nuevaCuenta("682", "Amortizacin del Inmovilizado Material", "Gastos");
  this.nuevaCuenta("69", "Dotaciones a las Provisiones", "Gastos");
  this.nuevaCuenta("690", "Dotacin a Fondos de Reversin", "Gastos");
  this.nuevaCuenta("691", "Dotacin a la Provisin del Inmovilizado Inmaterial", "Gastos");
  this.nuevaCuenta("692", "Dotacin a la Provisin del Inmovilizado Material", "Gastos");
  this.nuevaCuenta("693", "Dotacin a la Provisin de Existencias", "Gastos");
  this.nuevaCuenta("694", "Dotacin a la Provisin para Insolvencias de Trfico", "Gastos");
  this.nuevaCuenta("695", "Dotacin a la Provisin para Otras Operaciones de Trfico", "Gastos");
  this.nuevaCuenta("696", "Dotacin a la Provisin para Valores Negociables a Largo Plazo", "Gastos");
  this.nuevaCuenta("6960", "Dotacin a la Provisin para Participaciones en Capital a Largo Plazo en Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6961", "Dotacin a la Provisin para Participaciones en Capital a Largo Plazo en Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6963", "Dotacin a la Provisin para Participaciones en Capital a Largo Plazo en Otras Empresas", "Gastos");
  this.nuevaCuenta("6965", "Dotacin a la Provisin para Valores Negociables a Largo Plazo en Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6966", "Dotacin a la Provisin para Valores Negociables a Largo Plazo en Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6968", "Dotacin a la Provisin para Valores Negociables a Largo Plazo en Otras Empresas", "Gastos");
  this.nuevaCuenta("697", "Dotacin a la Provisin para Insolvencias de Crditos a Largo Plazo", "Gastos");
  this.nuevaCuenta("6970", "Dotacin a la Provisin para Insolvencias de Crditos a Largo Plazo a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6971", "Dotacin a la Provisin para Insolvencias de Crditos a Largo Plazo a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6973", "Dotacin a la Provisin para Insolvencias de Crditos a Largo Plazo a Otras Empresas", "Gastos");
  this.nuevaCuenta("698", "Dotacin a la Provisin para Valores Negociables a Corto Plazo", "Gastos");
  this.nuevaCuenta("6980", "Dotacin a la Provisin para Valores Negociables a Corto Plazo a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6981", "Dotacin a la Provisin para Valores Negociables a Corto Plazo a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6983", "Dotacin a la Provisin para Valores Negociables a Corto Plazo a Otras Empresas", "Gastos");
  this.nuevaCuenta("699", "Dotacin a la Provisin para Insolvencias de Crditos a Corto Plazo", "Gastos");
  this.nuevaCuenta("6990", "Dotacin a la Provisin para Insolvencias de Crditos a Corto Plazo a Empresas del Grupo", "Gastos");
  this.nuevaCuenta("6991", "Dotacin a la Provisin para Insolvencias de Crditos a Corto Plazo a Empresas Asociadas", "Gastos");
  this.nuevaCuenta("6993", "Dotacin a la Provisin para Insolvencias de Crditos a Corto Plazo a Otras Empresas", "Gastos");
  
  this.nuevaCuenta("7", "Ventas e Ingresos", "Ingresos");
  this.nuevaCuenta("70", "Ventas de Mercaderas, de Produccin Propia, de Servicios, etc.", "Ingresos");
  this.nuevaCuenta("700", "Ventas de Mercaderas", "Ingresos");
  this.nuevaCuenta("701", "Ventas de Productos Terminados", "Ingresos");
  this.nuevaCuenta("702", "Ventas de Productos Semiacabados", "Ingresos");
  this.nuevaCuenta("703", "Ventas de Subproductos y Residuos", "Ingresos");
  this.nuevaCuenta("704", "Ventas de Envases y Embalajes", "Ingresos");
  this.nuevaCuenta("705", "Prestaciones de Servicios", "Ingresos");
  this.nuevaCuenta("708", "Devoluciones de Ventas y Operaciones Similares", "Gastos");
  this.nuevaCuenta("7080", "Devoluciones de Ventas de Mercaderas", "Gastos");
  this.nuevaCuenta("7081", "Devoluciones de Ventas de Productos Terminados", "Gastos");
  this.nuevaCuenta("7082", "Devoluciones de Ventas de Productos Semiacabados", "Gastos");
  this.nuevaCuenta("7083", "Devoluciones de Ventas de Subproductos y Residuos", "Gastos");
  this.nuevaCuenta("7084", "Devoluciones de Ventas de Envases y Embalajes", "Gastos");
  this.nuevaCuenta("709", "Rappels sobre Ventas", "Gastos");
  this.nuevaCuenta("7090", "Rappels sobre Ventas de Mercaderas", "Gastos");
  this.nuevaCuenta("7091", "Rappels sobre Ventas de Productos Terminados", "Gastos");
  this.nuevaCuenta("7092", "Rappels sobre Ventas de Productos Semiacabados", "Gastos");
  this.nuevaCuenta("7093", "Rappels sobre Ventas de Subproductos y Residuos", "Gastos");
  this.nuevaCuenta("7094", "Rappels sobre Ventas de Envases y Embalajes", "Gastos");
  this.nuevaCuenta("71", "Variacin de Existencias", "Gastos");
  this.nuevaCuenta("710", "Variacin de Existencias de Productos en Curso", "Gastos");
  this.nuevaCuenta("711", "Variacin de Existencias de Productos Semiacabados", "Gastos");
  this.nuevaCuenta("712", "Variacin de Existencias de Productos Terminados", "Gastos");
  this.nuevaCuenta("713", "Variacin de Existencias de Subproductos, Residuos y Materiales Recuperados", "Gastos");
  this.nuevaCuenta("73", "Trabajos Realizados para la Empresa", "Ingresos");
  this.nuevaCuenta("730", "Incorporacin al Activo de Gastos de Establecimiento", "Ingresos");
  this.nuevaCuenta("731", "Trabajos Realizados para el Inmovilizado Inmaterial", "Ingresos");
  this.nuevaCuenta("732", "Trabajos Realizados para el Inmovilizado Material", "Ingresos");
  this.nuevaCuenta("733", "Trabajos Realizados para el Inmovilizado Material en Curso", "Ingresos");
  this.nuevaCuenta("737", "Incorporacin al Activo de Gastos de Formalizacin de Deudas", "Ingresos");
  this.nuevaCuenta("74", "Subvenciones a la Explotacin", "Ingresos");
  this.nuevaCuenta("740", "Subvenciones Oficiales a la Explotacin", "Ingresos");
  this.nuevaCuenta("741", "Otras Subvenciones a la Explotacin", "Ingresos");
  this.nuevaCuenta("75", "Otros Ingresos de Gestin", "Ingresos");
  this.nuevaCuenta("751", "Resultado de Operaciones en Comn", "Ingresos");
  this.nuevaCuenta("7510", "Prdida Transferida (gestor)", "Ingresos");
  this.nuevaCuenta("7511", "Beneficio Atribuido (partcipe o asociado no gestor)", "Ingresos");
  this.nuevaCuenta("752", "Ingresos por Arrendamientos", "Ingresos");
  this.nuevaCuenta("753", "Ingresos por Propiedad Industrial Cedida en Explotacin", "Ingresos");
  this.nuevaCuenta("754", "Ingresos por Comisiones", "Ingresos");
  this.nuevaCuenta("755", "Ingresos por Servicios al Personal", "Ingresos");
  this.nuevaCuenta("759", "Ingresos por Servicios Diversos", "Ingresos");
  this.nuevaCuenta("76", "Ingresos Financieros", "Ingresos");
  this.nuevaCuenta("760", "Ingresos de Participaciones en Capital", "Ingresos");
  this.nuevaCuenta("7600", "Ingresos de Participaciones en Capital de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7601", "Ingresos de Participaciones en Capital de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7603", "Ingresos de Participaciones en Capital de Otras Empresas", "Ingresos");
  this.nuevaCuenta("761", "Ingresos de Valores de Renta Fija", "Ingresos");
  this.nuevaCuenta("7610", "Ingresos de Valores de Renta Fija de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7611", "Ingresos de Valores de Renta Fija de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7613", "Ingresos de Valores de Renta Fija de Otras Empresas", "Ingresos");
  //this.nuevaCuenta("7618", "Mencionada en la Declaracin Simplificada del Impuesto de Sociedades (pero ni idea del nombre)", "Ingresos");
  this.nuevaCuenta("762", "Ingresos de Crditos a Largo Plazo", "Ingresos");
  this.nuevaCuenta("7620", "Ingresos de Crditos a Largo Plazo de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7621", "Ingresos de Crditos a Largo Plazo de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7623", "Ingresos de Crditos a Largo Plazo de Otras Empresas", "Ingresos");
  this.nuevaCuenta("763", "Ingresos de Crditos a Corto Plazo", "Ingresos");
  this.nuevaCuenta("7630", "Ingresos de Crditos a Corto Plazo de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7631", "Ingresos de Crditos a Corto Plazo de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7633", "Ingresos de Crditos a Corto Plazo de Otras Empresas", "Ingresos");
  this.nuevaCuenta("765", "Descuentos sobre Compras por Pronto Pago", "Ingresos");
  this.nuevaCuenta("7650", "Descuentos sobre Compras por Pronto Pago de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7651", "Descuentos sobre Compras por Pronto Pago de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7653", "Descuentos sobre Compras por Pronto Pago de Otras Empresas", "Ingresos");
  this.nuevaCuenta("766", "Beneficios en Valores Negociables", "Ingresos");
  this.nuevaCuenta("7660", "Beneficios en Valores Negociables a Largo Plazo de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7661", "Beneficios en Valores Negociables a Largo Plazo de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7663", "Beneficios en Valores Negociables a Largo Plazo de Otras Empresas", "Ingresos");
  this.nuevaCuenta("7665", "Beneficios en Valores Negociables a Corto Plazo de Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7666", "Beneficios en Valores Negociables a Corto Plazo de Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7668", "Beneficios en Valores Negociables a Corto Plazo de Otras Empresas", "Ingresos");
  this.nuevaCuenta("768", "Diferencias Positivas de Cambio", "Ingresos");
  this.nuevaCuenta("769", "Otros Ingresos Financieros", "Ingresos");
  this.nuevaCuenta("77", "Beneficios Procedentes del Inmovilizado e Ingresos Excepcionales", "Ingresos");
  this.nuevaCuenta("770", "Beneficios Procedentes del Inmovilizado Inmaterial", "Ingresos");
  this.nuevaCuenta("771", "Beneficios Procedentes del Inmovilizado Material", "Ingresos");
  this.nuevaCuenta("772", "Beneficios Procedentes de Participaciones en Capital a Largo Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("773", "Beneficios Procedentes de Participaciones en Capital a Largo Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("774", "Beneficios por Operaciones con Acciones y Obligaciones Propias", "Ingresos");
  this.nuevaCuenta("775", "Subvenciones de Capital Trasladadas al Resultado del Ejercicio", "Ingresos");
  this.nuevaCuenta("778", "Ingresos Extraordinarios", "Ingresos");
  this.nuevaCuenta("779", "Ingresos y Beneficios de Ejercicios Anteriores", "Ingresos");
  this.nuevaCuenta("79", "Excesos y Aplicaciones de Provisiones", "Ingresos");
  this.nuevaCuenta("790", "Exceso de Provisin para Riesgos y Gastos", "Ingresos");
  this.nuevaCuenta("791", "Exceso de Provisin del Inmovilizado Inmaterial", "Ingresos");
  this.nuevaCuenta("792", "Exceso de Provisin del Inmovilizado Material", "Ingresos");
  this.nuevaCuenta("793", "Provisin de Existencias Aplicada", "Ingresos");
  this.nuevaCuenta("794", "Provisin para Insolvencias de Trfico Aplicada", "Ingresos");
  this.nuevaCuenta("795", "Provisin de Otras Operaciones de Trfico Aplicada", "Ingresos");
  this.nuevaCuenta("796", "Exceso de Provisin para Valores Negociables a Largo Plazo", "Ingresos");
  this.nuevaCuenta("7960", "Exceso de Provisin para Participaciones en Capital a Largo Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7961", "Exceso de Provisin para Participaciones en Capital a Largo Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7963", "Exceso de Provisin para Participaciones en Capital a Largo Plazo en Otras Empresas", "Ingresos");
  this.nuevaCuenta("7965", "Exceso de Provisin para Valores Negociables a Largo Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7966", "Exceso de Provisin para Valores Negociables a Largo Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7968", "Exceso de Provisin para Valores Negociables a Largo Plazo en Otras Empresas", "Ingresos");
  this.nuevaCuenta("797", "Exceso de Provisin para Insolvencias de Crditos a Largo Plazo", "Ingresos");
  this.nuevaCuenta("7970", "Exceso de Provisin para Insolvencias de Crditos a Largo Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7971", "Exceso de Provisin para Insolvencias de Crditos a Largo Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7973", "Exceso de Provisin para Insolvencias de Crditos a Largo Plazo en Otras Empresas", "Ingresos");
  this.nuevaCuenta("798", "Exceso de Provisin para Valores Negociables a Corto Plazo", "Ingresos");
  this.nuevaCuenta("7980", "Exceso de Provisin para Valores Negociables a Corto Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7981", "Exceso de Provisin para Valores Negociables a Corto Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7983", "Exceso de Provisin para Valores Negociables a Corto Plazo en Otras Empresas", "Ingresos");
  this.nuevaCuenta("799", "Exceso de Provisin para Insolvencias de Crditos a Corto Plazo", "Ingresos");
  this.nuevaCuenta("7990", "Exceso de Provisin para Insolvencias de Crditos a Corto Plazo en Empresas del Grupo", "Ingresos");
  this.nuevaCuenta("7991", "Exceso de Provisin para Insolvencias de Crditos a Corto Plazo en Empresas Asociadas", "Ingresos");
  this.nuevaCuenta("7993", "Exceso de Provisin para Insolvencias de Crditos a Corto Plazo en Otras Empresas", "Ingresos");
  
  
  
}
